%define rel 1
%define major 0
%define sdo_version 0.10.0
%define kde_version 4.10.1

Name: libkpeople
Version: 0.1.0
Release: %mkrel  %{rel}
Summary: Metacontact aggregation library
Group:   System/Libraries
License: LGPLv2
URL:     https://projects.kde.org/projects/playground/network/libkpeople
Source0: http://download.kde.org/unstable/%{name}/%{version}/src/%{name}-%{version}.tar.bz2

BuildRequires: kdelibs4-devel >= 1:%{kde_version}
BuildRequires: pkgconfig(shared-desktop-ontologies) >= %{sdo_version}
BuildRequires: nepomuk-core-devel


%description
A library that provides access to all contacts and the people who hold them.


#------------------------------------------------------------------------------
%package core
Summary: Commons files used by %{name}
Group:   Graphical desktop/KDE 


%description core
Commons files used by %{name}

%files  core -f %{name}.lang
%{_kde_libdir}/kde4/email_kpeople_plugin.so
%{_kde_libdir}/kde4/emaildetailswidgetplugin.so
%{_kde_libdir}/kde4/imports/org/kde/people/libkpeopledeclarative.so
%{_kde_libdir}/kde4/imports/org/kde/people/qmldir
%{_kde_libdir}/kde4/mergecontactswidgetplugin.so
%{_kde_libdir}/kde4/phonedetailswidgetplugin.so
%{_kde_appsdir}/kpeople/dummy_avatar.png
%{_kde_services}/email_kpeople_plugin.desktop
%{_kde_services}/emaildetailswidgetplugin.desktop
%{_kde_services}/mergecontactswidgetplugin.desktop
%{_kde_services}/phonedetailswidgetplugin.desktop
%{_kde_servicetypes}/kpeople_data_source.desktop
%{_kde_servicetypes}/kpeople_plugin.desktop
%{_kde_servicetypes}/persondetailsplugin.desktop
#------------------------------------------------------------------------------

%define libkpeople %mklibname kpeople %{major}

%package -n %{libkpeople}
Summary: Runtime library for %{name}
Group: System/Libraries

%description -n %{libkpeople}
Runtime library for %{name}

%files -n %{libkpeople}
%{_kde_libdir}/libkpeople.so.%{major}*
%{_kde_libdir}/libkpeople.so.1

#------------------------------------------------------------------------------

%define libkpeoplewidgets %mklibname kpeoplewidgets %{major}

%package -n %{libkpeoplewidgets}
Summary: Runtime library for %{name}
Group: System/Libraries

%description -n %{libkpeoplewidgets}
Runtime library for %{name}

%files -n %{libkpeoplewidgets}
%{_kde_libdir}/libkpeoplewidgets.so.%{major}*
%{_kde_libdir}/libkpeoplewidgets.so.1


#------------------------------------------------------------------------------

%define devel %mklibname kpeople -d

%package -n %{devel}
Summary: Headers files for %{name}
Group: Development/KDE and Qt 
Provides: %name-devel = %version-%release
Provides: kpeople-devel = %version-%release
Requires: %{libkpeople} = %version-%release
Requires: %{libkpeoplewidgets} = %version-%release

%description -n %{devel}
Headers files for %{name}

%files -n %{devel}
%{_kde_includedir}/KPeople/
%{_kde_includedir}/kpeople/
%{_kde_appsdir}/cmake/modules/FindKPeople.cmake
%{_kde_libdir}/libkpeople.so
%{_kde_libdir}/libkpeoplewidgets.so

#------------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
export LD=/usr/bin/ld.gold
%cmake_kde4
%make

%install
%makeinstall_std -C build
%find_lang %{name}


%changelog
* Mon Nov 04 2013 lmenut <lmenut> 0.1.0-1.mga4
+ Revision: 549316
- Update to 0.1.0

* Mon Oct 21 2013 umeabot <umeabot> 0.0.80-3.mga4
+ Revision: 540554
- Mageia 4 Mass Rebuild

* Wed Oct 09 2013 mikala <mikala> 0.0.80-2.mga4
+ Revision: 493864
- Fix typo in provides in the devel package

* Tue Oct 08 2013 mikala <mikala> 0.0.80-1.mga4
+ Revision: 492831
- imported package libkpeople

